import { z } from "zod";
export declare type CreateGluestikEvent = z.infer<typeof CreateGluestikEvent>;
export declare const CreateGluestikEvent: z.ZodObject<{
    readonly eventType: z.ZodEnum<["CreateGluestik"]>;
    readonly eventTime: z.ZodNumber;
} & {
    requestId: z.ZodString;
    templateName: z.ZodString;
    packageManager: z.ZodString;
    createGluestikVersion: z.ZodString;
    exitCode: z.ZodNumber;
    errorType: z.ZodOptional<z.ZodString>;
    errorMessage: z.ZodOptional<z.ZodString>;
    eventEndTime: z.ZodNumber;
    isSmokeTest: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    errorType?: string | undefined;
    errorMessage?: string | undefined;
    readonly eventType: "CreateGluestik";
    readonly eventTime: number;
    requestId: string;
    templateName: string;
    packageManager: string;
    createGluestikVersion: string;
    exitCode: number;
    eventEndTime: number;
    isSmokeTest: boolean;
}, {
    errorType?: string | undefined;
    errorMessage?: string | undefined;
    readonly eventType: "CreateGluestik";
    readonly eventTime: number;
    requestId: string;
    templateName: string;
    packageManager: string;
    createGluestikVersion: string;
    exitCode: number;
    eventEndTime: number;
    isSmokeTest: boolean;
}>;
//# sourceMappingURL=create-gluestik-event.d.ts.map