import { z } from "zod";
export declare function EventType<Type extends string, Shape extends z.ZodRawShape>(type: Type, shape: Shape): z.ZodObject<{
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<{
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape extends infer T_2 extends z.ZodRawShape ? { [k_2 in keyof T_2]: ({
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape)[k_2]["_output"]; } : never> extends infer T ? { [k_1 in keyof T]: z.objectUtil.addQuestionMarks<{
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape extends infer T_1 extends z.ZodRawShape ? { [k in keyof T_1]: ({
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape)[k]["_output"]; } : never>[k_1]; } : never, z.objectUtil.addQuestionMarks<{
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape extends infer T_5 extends z.ZodRawShape ? { [k_2_1 in keyof T_5]: ({
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape)[k_2_1]["_input"]; } : never> extends infer T_3 ? { [k_3 in keyof T_3]: z.objectUtil.addQuestionMarks<{
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape extends infer T_4 extends z.ZodRawShape ? { [k_2 in keyof T_4]: ({
    readonly eventType: z.ZodEnum<[Type]>;
    readonly eventTime: z.ZodNumber;
} & Shape)[k_2]["_input"]; } : never>[k_3]; } : never>;
//# sourceMappingURL=event-type.d.ts.map